Missions
Retrieve Mission
Retrieves mission information by id.
GET
https://api.folkyn.com
/
api
/
v1
/
missions
/
{id}
Retrieve Mission
curl --request GET \
--url https://api.folkyn.com/api/v1/missions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folkyn.com/api/v1/missions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/missions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/missions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"has_document": true,
"currency": "EUR",
"rate_amount": 123,
"client_rate_amount": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"early_termination_date": "2023-12-25",
"terminated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"company": "<string>",
"siren": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"purchase_order": "<string>",
"external_id": "<string>",
"project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_code": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"project_codes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
}
],
"deliverables_catalog": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 123,
"amount_excl_vat": 123,
"order_index": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
},
"freelancer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
},
"team_signer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}⌘I
Retrieve Mission
curl --request GET \
--url https://api.folkyn.com/api/v1/missions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folkyn.com/api/v1/missions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/missions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/missions/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"has_document": true,
"currency": "EUR",
"rate_amount": 123,
"client_rate_amount": 123,
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"early_termination_date": "2023-12-25",
"terminated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"company": "<string>",
"siren": "<string>",
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"purchase_order": "<string>",
"external_id": "<string>",
"project_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_code": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"project_codes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
}
],
"deliverables_catalog": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 123,
"amount_excl_vat": 123,
"order_index": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
},
"freelancer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"referent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
}
},
"team_signer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}